Skip to main content
GET
/
api
/
v2.1
/
logos
/
sync
Bulk logos sync
curl --request GET \
  --url 'https://api.benzinga.com/api/v2.1/logos/sync?token='
import requests

url = "https://api.benzinga.com/api/v2.1/logos/sync?token="

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.benzinga.com/api/v2.1/logos/sync?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "ok": true,
  "data": [
    {
      "fields": {
        "logo_dark": "https://image-util.benzinga.com/api/v2/logos/file/image/KYG7387B1225/logo_dark__fe4a5fc01881264700de033abe9fc151.png?x-bz-cred=...",
        "logo_light": "https://image-util.benzinga.com/api/v2/logos/file/image/KYG7387B1225/logo_light__3f6f778449138931036ca9c624143ff7.png?x-bz-cred=...",
        "mark_vector_composite_light": "https://image-util.benzinga.com/api/v2/logos/file/image/KYG7387B1225/mark_vector_composite_light__1684a8ad97472e1b9fb5b639995e8245.svg?x-bz-cred=..."
      },
      "updated": "2025-12-09T11:36:51.357671Z",
      "created": "2025-12-09T11:36:51.357671Z",
      "securities": [
        {
          "symbol": "QUMSU",
          "name": "QUANTUMSPHERE ACQUISITION CO",
          "cik": "2070900",
          "exchange": "NASDAQ",
          "mic_code": "XNAS",
          "exchange_name": "NASDAQ Global Market Consolidated",
          "cusip": "G7387B122",
          "isin": "KYG7387B1225",
          "country": "US",
          "figi_share_class": "BBG01VBMFN66",
          "figi": "BBG01VBMFLS6",
          "security_type": "Unit"
        }
      ]
    },
    {
      "fields": {
        "logo_dark": "https://image-util.benzinga.com/api/v2/logos/file/image/KYG7387B1068/logo_dark__fe4a5fc01881264700de033abe9fc151.png?x-bz-cred=...",
        "logo_light": "https://image-util.benzinga.com/api/v2/logos/file/image/KYG7387B1068/logo_light__3f6f778449138931036ca9c624143ff7.png?x-bz-cred=...",
        "mark_vector_composite_light": "https://image-util.benzinga.com/api/v2/logos/file/image/KYG7387B1068/mark_vector_composite_light__1684a8ad97472e1b9fb5b639995e8245.svg?x-bz-cred=..."
      },
      "updated": "2025-12-09T11:35:11.711467Z",
      "created": "2025-12-09T11:35:11.711467Z",
      "securities": [
        {
          "symbol": "QUMS",
          "name": "QUANTUMSPHERE ACQUISITION CO",
          "cik": "2070900",
          "exchange": "NASDAQ",
          "mic_code": "XNAS",
          "exchange_name": "NASDAQ Global Market Consolidated",
          "cusip": "G7387B106",
          "isin": "KYG7387B1068",
          "country": "US",
          "figi_share_class": "BBG01WHBTBN4",
          "figi": "BBG01WHBT9P7",
          "security_type": "Common Stock"
        }
      ]
    }
  ]
}
{
  "ok": false,
  "errors": [
    {
      "code": "bad_request",
      "id": "invalid_parameter",
      "value": "Invalid search_keys_type parameter"
    }
  ]
}
{
  "ok": false,
  "errors": [
    {
      "code": "auth_failed",
      "id": "unauthorized",
      "value": "Invalid or missing authentication token"
    }
  ]
}
{
  "ok": false,
  "errors": [
    {
      "code": "no_data_found",
      "id": "not_found",
      "value": "No logos found for the specified search key"
    }
  ]
}
{
  "ok": false,
  "errors": [
    {
      "code": "internal_server_error",
      "id": "server_error",
      "value": "An unexpected error occurred while processing your request"
    }
  ]
}
{
  "ok": true,
  "data": [
    {
      "fields": {
        "logo_dark": "https://image-util.benzinga.com/api/v2/logos/file/image/KYG7387B1225/logo_dark__fe4a5fc01881264700de033abe9fc151.png?x-bz-cred=...",
        "logo_light": "https://image-util.benzinga.com/api/v2/logos/file/image/KYG7387B1225/logo_light__3f6f778449138931036ca9c624143ff7.png?x-bz-cred=...",
        "mark_vector_composite_light": "https://image-util.benzinga.com/api/v2/logos/file/image/KYG7387B1225/mark_vector_composite_light__1684a8ad97472e1b9fb5b639995e8245.svg?x-bz-cred=..."
      },
      "updated": "2025-12-09T11:36:51.357671Z",
      "created": "2025-12-09T11:36:51.357671Z",
      "securities": [
        {
          "symbol": "QUMSU",
          "name": "QUANTUMSPHERE ACQUISITION CO",
          "cik": "2070900",
          "exchange": "NASDAQ",
          "mic_code": "XNAS",
          "exchange_name": "NASDAQ Global Market Consolidated",
          "cusip": "G7387B122",
          "isin": "KYG7387B1225",
          "country": "US",
          "figi_share_class": "BBG01VBMFN66",
          "figi": "BBG01VBMFLS6",
          "security_type": "Unit"
        }
      ]
    },
    {
      "fields": {
        "logo_dark": "https://image-util.benzinga.com/api/v2/logos/file/image/KYG7387B1068/logo_dark__fe4a5fc01881264700de033abe9fc151.png?x-bz-cred=...",
        "logo_light": "https://image-util.benzinga.com/api/v2/logos/file/image/KYG7387B1068/logo_light__3f6f778449138931036ca9c624143ff7.png?x-bz-cred=...",
        "mark_vector_composite_light": "https://image-util.benzinga.com/api/v2/logos/file/image/KYG7387B1068/mark_vector_composite_light__1684a8ad97472e1b9fb5b639995e8245.svg?x-bz-cred=..."
      },
      "updated": "2025-12-09T11:35:11.711467Z",
      "created": "2025-12-09T11:35:11.711467Z",
      "securities": [
        {
          "symbol": "QUMS",
          "name": "QUANTUMSPHERE ACQUISITION CO",
          "cik": "2070900",
          "exchange": "NASDAQ",
          "mic_code": "XNAS",
          "exchange_name": "NASDAQ Global Market Consolidated",
          "cusip": "G7387B106",
          "isin": "KYG7387B1068",
          "country": "US",
          "figi_share_class": "BBG01WHBTBN4",
          "figi": "BBG01WHBT9P7",
          "security_type": "Common Stock"
        }
      ]
    }
  ]
}
{
  "ok": false,
  "errors": [
    {
      "code": "bad_request",
      "id": "invalid_parameter",
      "value": "Invalid search_keys_type parameter"
    }
  ]
}
{
  "ok": false,
  "errors": [
    {
      "code": "auth_failed",
      "id": "unauthorized",
      "value": "Invalid or missing authentication token"
    }
  ]
}
{
  "ok": false,
  "errors": [
    {
      "code": "no_data_found",
      "id": "not_found",
      "value": "No logos found for the specified search key"
    }
  ]
}
{
  "ok": false,
  "errors": [
    {
      "code": "internal_server_error",
      "id": "server_error",
      "value": "An unexpected error occurred while processing your request"
    }
  ]
}

Authorizations

token
string
query
required

Query Parameters

search_keys
string

Only applies to v2.1 exchange logos (search_keys_type=exchange): comma-separated list of exchange MIC codes to filter by.

search_keys_type
string

Set to exchange to sync v2.1 exchange logos (filtered by search_keys). Omit for the default bulk security-logo sync.

fields
string[]
required

Comma-separated list of logo fields to return. Maximum 12 fields. Available: logo_light, logo_dark, logo_vector_light, logo_vector_dark, mark_light, mark_dark, mark_vector_light, mark_vector_dark, mark_composite_light, mark_composite_dark, mark_vector_composite_light, mark_vector_composite_dark, colors

page
integer

Page number for pagination. Used with pagesize for bulk sync operations.

pagesize
integer

Number of results per page. Default: 100. Maximum: 1000

updated_since
string

Unix timestamp (UTC). Returns logos updated after this timestamp.

scale
string

Scale image dimensions in WIDTHxHEIGHT format (e.g., 300x300). Images scale down only, never up. Default: 300x300

composite_radius
integer

Border radius for composite images in percentage. Range 0-50 where 50 creates a circle. Default: 0

Response

Success response with array of BulkSyncResponse objects in data field

data
object
errors
object[]
ok
boolean